D-Bus: DBusCounter Struct Reference

D-Bus 1.14.8

Data Fields
DBusCounter Struct Reference
D-Bus secret internal implementation details » Resource limits implementation details

Internals of DBusCounter. More...

## Data Fields
int | refcount
| reference count
long | size_value
| current size counter value
long | unix_fd_value
| current unix fd counter value
long | notify_size_guard_value
| call notify function when crossing this size value
long | notify_unix_fd_guard_value
| call notify function when crossing this unix fd value
DBusCounterNotifyFunction | notify_function
| notify function
void * | notify_data
| data for notify function
dbus_bool_t | notify_pending: 1
| TRUE if the guard value has been crossed.
DBusRMutex * | mutex
| Lock on the entire DBusCounter.

## Detailed Description

Internals of DBusCounter.

DBusCounter internals. DBusCounter is an opaque object, it must be used via accessor functions.

Definition at line 54 of file dbus-resources.c.

## Field Documentation

## ◆ mutex

DBusRMutex* DBusCounter::mutex

Lock on the entire DBusCounter.

Definition at line 72 of file dbus-resources.c.

Referenced by _dbus_counter_adjust_size(), _dbus_counter_adjust_unix_fd(), _dbus_counter_get_size_value(), _dbus_counter_get_unix_fd_value(), _dbus_counter_new(), _dbus_counter_notify(), _dbus_counter_ref(), _dbus_counter_set_notify(), and _dbus_counter_unref().

## ◆ notify_data

void* DBusCounter::notify_data

data for notify function

Definition at line 70 of file dbus-resources.c.

Referenced by _dbus_counter_notify(), and _dbus_counter_set_notify().

## ◆ notify_function

DBusCounterNotifyFunction DBusCounter::notify_function

notify function

Definition at line 69 of file dbus-resources.c.

Referenced by _dbus_counter_adjust_size(), _dbus_counter_adjust_unix_fd(), _dbus_counter_notify(), and _dbus_counter_set_notify().

## ◆ notify_pending

dbus_bool_t DBusCounter::notify_pending

TRUE if the guard value has been crossed.

Definition at line 71 of file dbus-resources.c.

Referenced by _dbus_counter_adjust_size(), _dbus_counter_adjust_unix_fd(), _dbus_counter_notify(), and _dbus_counter_set_notify().

## ◆ notify_size_guard_value

long DBusCounter::notify_size_guard_value

call notify function when crossing this size value

Definition at line 66 of file dbus-resources.c.

Referenced by _dbus_counter_adjust_size(), and _dbus_counter_set_notify().

## ◆ notify_unix_fd_guard_value

long DBusCounter::notify_unix_fd_guard_value

call notify function when crossing this unix fd value

Definition at line 67 of file dbus-resources.c.

Referenced by _dbus_counter_adjust_unix_fd(), and _dbus_counter_set_notify().

## ◆ refcount

int DBusCounter::refcount

reference count

Definition at line 56 of file dbus-resources.c.

Referenced by _dbus_counter_new(), _dbus_counter_ref(), and _dbus_counter_unref().

## ◆ size_value

long DBusCounter::size_value

current size counter value

Definition at line 58 of file dbus-resources.c.

Referenced by _dbus_counter_adjust_size(), and _dbus_counter_get_size_value().

## ◆ unix_fd_value

long DBusCounter::unix_fd_value

current unix fd counter value

Definition at line 59 of file dbus-resources.c.

Referenced by _dbus_counter_adjust_unix_fd(), and _dbus_counter_get_unix_fd_value().

The documentation for this struct was generated from the following file:

- dbus-resources.c